#!/bin/sh
### BEGIN INIT INFO
# Provides:          oscam
# Required-Start:
# Required-Stop:
# Should-Start:      oscam
# Default-Start:     S
# Default-Stop:
# Short-Description: starts oscam in /usr/local/bin.
# Description:       Starts an Oscam Client.
### END INIT INFO

DAEMON=/usr/local/bin/oscam
PIDFILE=/var/run/oscam.pid
DAEMON_OPTS="-p 1024 -w 5 -r 2 -B ${PIDFILE}"

test -x ${DAEMON} || exit 0

. /lib/lsb/init-functions

case "$1" in
    start)
        log_daemon_msg "Starting OScam..."
        /sbin/start-stop-daemon --start --quiet --background  --exec ${DAEMON} -- ${DAEMON_OPTS}
        log_end_msg $?
    ;;
    stop)
        log_daemon_msg "Stopping OScam..."
        /sbin/start-stop-daemon --stop --exec ${DAEMON}
        log_end_msg $?
    ;;
    restart)
        $0 stop
        $0 start
    ;;
    force-reload)
        $0 stop
        /bin/kill -9 `pidof oscam`
        /usr/local/bin/killall -9 oscam
        $0 start
    ;;
    *)
	echo "Usage: /etc/init.d/oscam {start|stop|restart|force-reload}"
    exit 1
    ;;
esac
